2019-12-05 22:10 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003011FSSCPpublic2014-03-09 06:16
Reporterz64555 
Assigned Tom_m 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSMicrosoft WindowsOS Version8.1
Product VersionAntipodes 9 
Target VersionFixed in VersionAntipodes 9 
Summary0003011: [antipodes] Issue with using mouse as flight controller
DescriptionOkay, so, 2 months back chief mentioned a scaling issue over IRC with mouse controls, and I was able to confirm the behavior. I haven't given it much attention until about now, which appears to be still in place.

I did a quick test against r10276, and everything seems alright for --windowed mode, but on fullscreen mode the mouse appears to be not only scaled down, but also seems to hit the corners of a screen and won't allow further turning in that direction. Menu UI appears to be fine.
TagsNo tags attached.
Attached Files
  • patch file icon 3011.patch (847 bytes) 2014-03-01 07:27 -
    Index: code/graphics/gropengl.cpp
    ===================================================================
    --- code/graphics/gropengl.cpp	(revision 10476)
    +++ code/graphics/gropengl.cpp	(working copy)
    @@ -205,7 +205,7 @@
     			opengl_go_fullscreen();
     
     		// Check again and if we didn't go fullscreen turn on grabbing if possible
    -		if(!Cmdline_no_grab && !(SDL_GetWindowFlags(os_get_window()) & SDL_WINDOW_FULLSCREEN)) {
    +		if(!Cmdline_no_grab) {
     			SDL_SetRelativeMouseMode(SDL_TRUE);
     		}
     	} else {
    Index: code/osapi/osapi.cpp
    ===================================================================
    --- code/osapi/osapi.cpp	(revision 10476)
    +++ code/osapi/osapi.cpp	(working copy)
    @@ -359,9 +359,7 @@
     				}
     			}
     			
    -			if (!Cmdline_no_unfocus_pause) {
    -				gr_activate(fAppActive);
    -			}
    +			gr_activate(fAppActive);
     			
     			break;
     		}
    
    patch file icon 3011.patch (847 bytes) 2014-03-01 07:27 +

-Relationships
+Relationships

-Notes

~0015631

m_m (developer)

It looks like, for some reason, relative mouse mode is not enabled for fullscreen mode. I uploaded a patch which resolves this issue.

~0015635

z64555 (developer)

Last edited: 2014-03-03 02:23

View 2 revisions

Ok, the mouse clamping seems to have been resolved in 3011.patch, but the scaling vs. resolution is still present.

Zacam has mentioned over IRC that FSO retains control of the system cursor when windowed and paused, unlike with trunk which releases it.

[amend-1]
We've worked out a plan to try and make a LUA script to output the mouse deltas vs. player orientation deltas to a file. That way we can test what trunk does and compare it to what AP does, across the various resolutions.

Related, I made a poll to see if further action should be made to combat the scaling/ramping vs. resolution. http://www.hard-light.net/forums/index.php?topic=86996.0

~0015642

m_m (developer)

Also adding the patch I posted on the internal board which fixes this issue here: https://gist.github.com/asarium/9327053

~0015643

m_m (developer)

Fix committed to antipodes in revision 10487.
+Notes

-Issue History
Date Modified Username Field Change
2014-02-20 01:23 z64555 New Issue
2014-02-20 10:42 z64555 Summary Mouse issues => [antipodes] Issue with using mouse as flight controller
2014-03-01 07:27 m_m Note Added: 0015631
2014-03-01 07:27 m_m Assigned To => m_m
2014-03-01 07:27 m_m Status new => code review
2014-03-01 07:27 m_m File Added: 3011.patch
2014-03-02 22:49 z64555 Note Added: 0015635
2014-03-03 02:23 z64555 Note Edited: 0015635 View Revisions
2014-03-08 13:05 m_m Note Added: 0015642
2014-03-09 06:16 m_m Note Added: 0015643
2014-03-09 06:16 m_m Status code review => resolved
2014-03-09 06:16 m_m Fixed in Version => Antipodes 9
2014-03-09 06:16 m_m Resolution open => fixed
+Issue History